Index: getting_started.dox
===================================================================
--- getting_started.dox	(revision 7)
+++ getting_started.dox	(revision 9)
@@ -18,7 +18,5 @@
 
 /**
-\page getting_started Getting Started
-
-\section hello_lemon Compile Your First Code
+\page hello_lemon Compile Your First Code
 
 If you have installed LEMON on your system you can paste the following
@@ -31,5 +29,5 @@
 
 First let us briefly explain how this example program works.
-(The used notions will be discussed in detail in the following chapter.)
+(The used notions will be discussed in detail in the following sections.)
 
 After some convenience typedefs we create a directed graph (\e digraph)
@@ -53,15 +51,15 @@
 Finally we iterate through all arcs again and print their lengths.
 
-Now let's compile this simple example program.
+Now let us compile this simple example program.
 
-\subsection hello_lemon_system If LEMON is Installed System-Wide
+\section hello_lemon_system If LEMON is Installed System-Wide
 
-If your installation of LEMON into directory \c /usr/local was
-successful, then it is very easy to compile this program with the
+If LEMON is installed system-wide (into directory \c /usr/local),
+then it is very easy to compile this program with the
 following command (the argument <tt>-lemon</tt> tells the compiler
 that we are using the installed LEMON):
 
 \verbatim
-g++ hello_lemon.cc -o hello_lemon -lemon
+g++ -lemon hello_lemon.cc -o hello_lemon
 \endverbatim
 
@@ -73,5 +71,5 @@
 \endverbatim
 
-\subsection hello_lemon_user If LEMON is Installed User-Local
+\section hello_lemon_user If LEMON is Installed User-Local
 
 Compiling the code is a bit more difficult if you installed LEMON
@@ -81,10 +79,6 @@
 
 \verbatim
-g++ -I ~/lemon hello_lemon.cc -o hello_lemon -lemon -L ~/lemon/lemon/.libs
+g++ -lemon -I ~/lemon -L ~/lemon/lemon/.libs hello_lemon.cc -o hello_lemon
 \endverbatim
-
-\subsubsection hello_lemon_pkg_config Use pkg-config
-
-\todo Write this sub-subsection (\ref hello_lemon_pkg_config).
 
 If everything has gone well, then our program prints out the followings.
Index: install.dox
===================================================================
--- install.dox	(revision 7)
+++ install.dox	(revision 9)
@@ -20,7 +20,7 @@
 \page install Installation Guide
 
-In this page we detail how to start using LEMON, from downloading it to
-your computer, through the steps of installation, to showing a simple
-"Hello World" type program that already uses LEMON. We assume that you
+In this section we detail how to start using LEMON, from downloading it
+to your computer, through the steps of installation, to showing how to
+compile programs that use LEMON. We assume that you
 have a basic knowledge of your operating system and C++ programming
 language. The procedure is pretty straightforward, but if you have any
@@ -42,8 +42,8 @@
 In this description we will suppose a Linux environment and GNU C++ Compiler.
 If you would like to develop under Windows and use a Windows installer,
-you could skip the following sections and continue reading \ref hello_lemon.
+you could skip the following sections and continue reading
+\ref basic_concepts.
 However keep in mind that you have to make appropriate steps instead of
-the instructions detailed here to be able to compile the example code
-with your compiler.
+the instructions detailed here to be able to use LEMON with your compiler.
 
 \subsection requirements_lp LP Solver Requirements
@@ -98,7 +98,4 @@
 \endverbatim
 
-In what follows we will assume that you were able to install to directory
-\c /usr/local, otherwise some extra care is to be taken to use the library.
-
 We briefly explain these commands below.
 
@@ -145,8 +142,8 @@
 For more information see the <b><tt>INSTALL</tt></b> file.
 
-\subsection install_hg Install the latest development version
+\subsection install_hg Install the Latest Development Version
 
 You can also use the latest (developer) version of LEMON from our Mercurial
-repository. You need a couple additional tool for that
+repository. You need a couple additional tool for that.
 
 - <a href="http://www.selenic.com/mercurial">Mercurial</a>
@@ -161,5 +158,5 @@
 
 Once you have all these tools installed, the process is fairly easy.
-First, you have to get the copy of the lates version.
+First, you have to get the copy of the latest version.
 
 \verbatim
@@ -182,8 +179,54 @@
 \endverbatim
 
-To generate the documentation, just run 
+To generate the documentation, just run
 \verbatim
 make html
 \endverbatim
+\todo Is <tt><b>make html</b></tt> really necessary after
+<tt><b>make install</b></tt>?
+
+
+\section install_rpm Install from rpm
+
+\todo Write this section (\ref install_rpm).
+
+
+\section install_user Install Locally to the User
+
+\todo Write this section (\ref install_user).
+
+
+\section compile_codes Compile Codes that Use LEMON
+
+Now let us see how to use the library after installing it.
+
+\subsection compile_system_wide If LEMON is Installed System-Wide
+
+If your installation of LEMON into directory \c /usr/local was
+successful, then you have to issue a command like this to compile a
+source file that uses LEMON.
+
+\verbatim
+g++ -lemon [other options] <source file>
+\endverbatim
+
+The argument <tt>-lemon</tt> tells the compiler that we are using the
+installed library LEMON.
+
+\subsection compile_user_local If LEMON is Installed User-Local
+
+You have to give more options to the compiler if LEMON is installed
+user-local into a directory (denoted by <tt><dir></tt>)
+or if you just skipped the step <tt>make install</tt>.
+In the later case <tt><dir></tt> denotes the directory in which the
+the \c make command have been performed.
+
+\verbatim
+g++ -lemon -I <dir> -L <dir>/lemon/.libs [other options] <source file>
+\endverbatim
+
+\subsubsection compile_use_pkg_config Use pkg-config
+
+\todo Write this sub-subsection (\ref compile_use_pkg_config).
 
 */
Index: mainpage.dox
===================================================================
--- mainpage.dox	(revision 7)
+++ mainpage.dox	(revision 9)
@@ -24,7 +24,6 @@
 
  - \ref intro
- - \ref getting_started
+ - \ref basic_concepts "Basic Concepts"
    - \ref hello_lemon
- - \ref basic_concepts "Basic Concepts"
    - \ref digraph_build "Build and Modify a Digraph"
    - \ref digraph_iterate "Iterate Over the Elements"
@@ -60,6 +59,10 @@
        - \ref requirements_lp
      - \ref install_from_source
-     - \ref install_system_rpm "From rpm"
-     - \ref install_user "Install Locally to the User"
+       - \ref install_hg
+     - \ref install_rpm
+     - \ref install_user
+     - \ref compile_codes
+       - \ref compile_system_wide
+       - \ref compile_user_local
 
 */
